//
//  Copyright 2011 (c) Finnbarr P. Murphy.  All rights reserved.
//

const St = imports.gi.St;
const Main = imports.ui.main;
const PopupMenu = imports.ui.popupMenu;
const Shell = imports.gi.Shell;
const Lang = imports.lang;
const StatusMenu = imports.ui.statusMenu; 

const Gettext = imports.gettext.domain('gnome-shell');
const _ = Gettext.gettext;

// change the icon_name if you want to display a different icon
// the icon must exist in the appropriate directory
const ICON_NAME = 'fedora-logo-icon';


function changeUserMenu()
{
    // future version -  let statusMenu = Main.panel._userMenu;
    let statusMenu = Main.panel._statusmenu;

    let noimlogo = new St.Icon({ icon_type: St.IconType.FULLCOLOR, 
                                 style_class: 'popup-menu-icon',
                                 icon_name: ICON_NAME });

    let box = statusMenu._name.get_parent();    
    box.get_children().forEach(function (actor) { actor.destroy(); });

    let noimBox = new St.BoxLayout({ style_class: 'noim-icon'});
    noimBox.add_actor(noimlogo);
    box.add_actor(noimBox);

    let _name = new St.Label();
    box.add(_name, { y_align: St.Align.MIDDLE, y_fill: false });

    statusMenu._updateUserName = function() {};
    statusMenu._updatePresenceIcon = function(presence, status) { };
    statusMenu._presence = null;

    let children = statusMenu.menu.box.get_children();
    for (let i=0; i < children.length; i++) {
         let item = children[i];
         if (item._delegate instanceof PopupMenu.PopupSeparatorMenuItem) {
             item.destroy();
         }
         if (item._delegate.label) {
             let _label = item._delegate.label.get_text();
             if (_label == _('Available') || _label == _('Busy'))
                item.destroy();
         }
    }
}


function main() {
    changeUserMenu();
}
